KBUILDSYCOCA5(8)

NOM
kbuildsycoca5 - Reconstruit le cache de configuration du système de fichiers de bureau pour « KService ».

SYNOPSIS

kbuildsycoca5 [OPTIONS...]

DESCRIPTION

kbuildsycoca5 compile le cache binaire enregistré dans les fichiers .desktop et les types MIME .xmlque l'environnement de développement de « KService » utilise pour trouver les modules externes, les applications et les autres services.

La bibliothèque « KService » utilise cette base de données pour fournir efficacement des informations qui lui sont nécessaires.

Les utilisateurs n'ont normalement pas besoin de lancer cette application directement. KService ne se lancera que si nécessaire, quand l'un des fichiers dont les données sont en cache est modifié.

OPTIONS

--global
    Ignore tout fichier personnalisé par l'utilisateur (dans XDG_DATA_HOME). Ceci n'est pris en charge que pour les systèmes UNIX®.

--noincremental
    Plutôt que d'utiliser le cache existant et uniquement réaliser une mise à jour des informations modifiées ou ajoutées, démarrez avec un cache vide. Ignoré si l'option --global est définie.

--nosignal
    Normalement, kbuildsyscoca5 envoie un signal sur le D-Bus, une fois que le cache est mis à jour pour toutes les applications utilisant « KService ». Ainsi, elles fonctionnent en utilisant la dernière information. Cette option supprime ce comportement.

--menutest
    Teste la génération d'une base de données de menus pour une application. Ne compile pas actuellement le cache.

--testmode
    Utilise le « Mode de test » « QStandardPaths » pour éviter des interférences avec les données de l'utilisateur. Ceci est prévu pour une utilisation en tests unitaires.

--track menu-id
    Tracer l'identifiant de menu pour le débogage.

--author
    Afficher les informations sur l'auteur.

--license
    Afficher les informations sur la licence.

-h, --help
    Affiche un texte succinct d'aide.

-v, --version
    Afficher les informations de version

FICHIERS

cachedir/ksycoca5_[lang]_[sha1-of-dirs]
    Le cache de « KService » est généré par kbuildsycoca5. Sur des systèmes UNIX®, cachedir est généralement XDG_CONFIG_HOME.

VOIR AUSSI

kded5(8), kdeinit5(8)

BOGUES

Veuillez utiliser lele traqueur de bogues de KDE[1] pour les signaler.

AUTEURS

Darian Lanx <content@openprojects.net>
    A écrit la documentation initiale.

Alex Merry <alexmerry@kde.org>
    Mis à jour avec la documentation de KDE Frameworks 5.

NOTES

1.  le traqueur de bogues de KDE
    https://bugs.kde.org